# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: internal/module/agent_tracker/agent_tracker.proto

require 'google/protobuf'

require 'google/protobuf/timestamp_pb'
require 'internal/module/modshared/modshared_pb'
Google::Protobuf::DescriptorPool.generated_pool.build do
  add_file("internal/module/agent_tracker/agent_tracker.proto", :syntax => :proto3) do
    add_message "gitlab.agent.agent_tracker.ConnectedAgentInfo" do
      optional :agent_meta, :message, 1, "gitlab.agent.modshared.AgentMeta"
      optional :connected_at, :message, 2, "google.protobuf.Timestamp"
      optional :connection_id, :int64, 3
      optional :agent_id, :int64, 4
      optional :project_id, :int64, 5
    end
  end
end

module Gitlab
  module Agent
    module AgentTracker
      ConnectedAgentInfo = ::Google::Protobuf::DescriptorPool.generated_pool.lookup("gitlab.agent.agent_tracker.ConnectedAgentInfo").msgclass
    end
  end
end
